Page MenuHomePhabricator

Web installer stops if you have proc_open disabled
Closed, ResolvedPublic

Description

Hi, when using the web installer it stopped at the first stage of installation (the page that tells your your php version and other details)

It is complaining about proc_open being disabled.

This happens in mediawiki 1.31 wmf releases

This used to work in recent mediawiki releases (ie possibly mw 1.30)

Details

Related Gerrit Patches:

Event Timeline

Paladox created this task.Apr 11 2018, 2:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2018, 2:27 AM
Aklapper renamed this task from Web installer seems to be broken if you have proc_open disabled to Web installer stops if you have proc_open disabled.Apr 11 2018, 10:05 AM
Krinkle moved this task from Backlog to Core on the MW-1.31-release board.Apr 18 2018, 6:08 PM
demon added a subscriber: demon.Apr 26 2018, 9:06 PM

I don't see how we'd be propagating this error back to the user. Stacktrace?

[1280c41de877ebcb3b885cee] /vagrant/mw-config/index.php?page=Welcome MediaWiki\ShellDisabledError from line 88 of /srv/mediawiki/core/includes/shell/Command.php: Unable to run external programs, proc_open() is disabled

Backtrace:

#0 /srv/mediawiki/core/includes/shell/CommandFactory.php(105): MediaWiki\Shell\Command->__construct()
#1 /srv/mediawiki/core/includes/shell/Shell.php(128): MediaWiki\Shell\CommandFactory->create()
#2 /srv/mediawiki/core/includes/utils/ExecutableFinder.php(74): MediaWiki\Shell\Shell::command(string, string)
#3 /srv/mediawiki/core/includes/utils/ExecutableFinder.php(100): ExecutableFinder::findExecutable(string, string, array)
#4 /srv/mediawiki/core/includes/installer/Installer.php(895): ExecutableFinder::findInDefaultPaths(array, array)
#5 /srv/mediawiki/core/includes/installer/Installer.php(492): Installer->envCheckDiff3()
#6 /srv/mediawiki/core/includes/installer/WebInstallerWelcome.php(34): Installer->doEnvironmentChecks()
#7 /srv/mediawiki/core/includes/installer/WebInstaller.php(281): WebInstallerWelcome->execute()
#8 /srv/mediawiki/core/mw-config/index.php(79): WebInstaller->execute(array)
#9 /srv/mediawiki/core/mw-config/index.php(38): wfInstallerMain()
#10 {main}
Legoktm claimed this task.May 15 2018, 6:21 PM

Change 433201 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] installer: Don't shell out if it's disabled

https://gerrit.wikimedia.org/r/433201

Change 433201 merged by jenkins-bot:
[mediawiki/core@master] installer: Don't shell out if it's disabled

https://gerrit.wikimedia.org/r/433201

Change 433278 had a related patch set uploaded (by Paladox; owner: Legoktm):
[mediawiki/core@REL1_31] installer: Don't shell out if it's disabled

https://gerrit.wikimedia.org/r/433278

Thank you @Legoktm for working on this.

Change 433278 merged by jenkins-bot:
[mediawiki/core@REL1_31] installer: Don't shell out if it's disabled

https://gerrit.wikimedia.org/r/433278

Legoktm closed this task as Resolved.May 15 2018, 11:54 PM